summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure39
1 files changed, 20 insertions, 19 deletions
diff --git a/configure b/configure
index 7d1e424..75f2767 100755
--- a/configure
+++ b/configure
@@ -1,14 +1,22 @@
 #!/bin/sh
 set -eu
 
+base='-lcrypt'
+libs='libcrypto libtls'
+
+exec >config.mk
+
 case "$(uname)" in
+	(Darwin)
+		base=''
+		;;
 	(FreeBSD)
 		if ! pkg info -e libressl; then
-			echo 'LibreSSL required'
+			echo 'LibreSSL required' >&2
 			exit 1
 		fi
 		prefix=$(pkg query '%p' libressl)
-		cat >config.mk <<-EOF
+		cat <<-EOF
 		MANDIR = \${PREFIX}/man
 		CFLAGS += -I${prefix}/include
 		CFLAGS += -D'OPENSSL_BIN="${prefix}/bin/openssl"'
@@ -16,28 +24,21 @@ case "$(uname)" in
 		EOF
 		exit
 		;;
+	(Linux)
+		cat <<-EOF
+		CFLAGS += -D_GNU_SOURCE -D'CERTBOT_PATH="/etc/letsencrypt"'
+		LDLIBS_calico = \${LDLIBS}
+		RCS =
+		DIRS =
+		EOF
+		;;
 esac
 
-libs='libcrypto libtls'
 pkg-config --print-errors $libs
 
-cat >config.mk <<EOF
+cat <<EOF
 CFLAGS += $(pkg-config --cflags $libs)
 CFLAGS += -D'OPENSSL_BIN="$(pkg-config --variable=prefix openssl)/bin/openssl"'
 LDFLAGS += $(pkg-config --libs-only-L $libs)
-LDLIBS = -lcrypt $(pkg-config --libs-only-l $libs)
+LDLIBS = $base $(pkg-config --libs-only-l $libs)
 EOF
-
-case "$(uname)" in
-	(Darwin)
-		echo 'LDLIBS := ${LDLIBS:-lcrypt=}' >>config.mk
-		;;
-	(Linux)
-		cat >>config.mk <<-EOF
-		CFLAGS += -D_GNU_SOURCE -D'CERTBOT_PATH="/etc/letsencrypt"'
-		LDLIBS_calico = $(pkg-config --libs-only-l libcrypto)
-		RCS =
-		DIRS =
-		EOF
-		;;
-esac
June McEnroe 2021-09-15Enter capsicum in downgradeJune McEnroe 2021-09-15Factor out common parts of downgrade messagesJune McEnroe 2021-09-14Add downgrade IRC botJune McEnroe 2021-09-14Sort by title if authors matchJune McEnroe 2021-09-13Swap-remove tags as they're foundJune McEnroe 2021-09-12Replace htagml regex with strncmpJune McEnroe 2021-09-11Also defer printing comment for lone close-parensJune McEnroe 2021-09-10Publish "git-comment"June McEnroe 2021-09-10Add git comment --pretty optionJune McEnroe 2021-09-08Defer printing comment if line is blank or closing braceJune McEnroe 2021-09-08Up default min-repeat to 30 linesJune McEnroe 2021-09-08Handle dirty lines in git-commentJune McEnroe 2021-09-08Document and install git-commentJune McEnroe 2021-09-08Add repeat and all options to git-commentJune McEnroe 2021-09-08Add group threshold to git-commentJune McEnroe